rails 3.1.0 server bombs - no javascript runtime. Ideas?

Downloaded & installed RoR 3.1.0. On Windows, no problems.

On Ubuntu, “rails server” bombs out with a missing Javascript runtime. I installed the execjs gem to remedy the problem - no luck.

Ideas?

execjs is just an intermediary between a javascript runtime and ruby. In general adding therubyracer gem should help you, or installing node.js directly.

gem ‘therubyracer’

Hi Brian,

You must install a server site js compiler like node.js or an other
solution is adding ‘therubyracer’, ‘>= 0.8.2′ at gemfile

#Install node.js
sudo apt-get install python-software-properties
sudo add-apt-repository ppa:chris-lea/node.js
sudo apt-get update
sudo apt-get install nodejs

# Or add therubyracer
gem 'therubyracer', '>= 0.8.2'

More info http://www.onurozgurozkan.com/rails-3-1-and-execjsruntimeunavailable-error/

Best Regards.

Dave,
gem 'therubyracer' did the trick. Many thanks to you and everybody
else on the thread.
/Brian